Description

Facts for primary interface not imported in case of virtual interfaces (bridge in this case):

2018-05-20T10:46:17 88de1713 [app] [D] We have following interfaces 'br-private, enp2s0f0, enp2s0f1, bond1.1005, br-ipo,

br-ipo-nic, enp130s0f0, enp130s0f1, enp129s0f0, enp129s0f1, bond0, bond1' based on facts

2018-05-20T10:46:17 88de1713 [app] [D] Saving br_private NIC for host cloud-lab15.example.org

2018-05-20T10:46:18 88de1713 [app] [W] Saving br_private NIC for host cloud-lab15.example.org failed, skipping because:

2018-05-20T10:46:18 88de1713 [app] [W]  Identifier has already been taken

This is because the information already in the database and should be updated instead of adding it again.

Related issues:

Related to Ansible - Bug #23653: parsing facts break interfaces names Closed

Related to Foreman - Bug #23655: vlan interface facts don't imported in case ... Ready For Testing

Related to Foreman - Bug #24073: Foreman fact parser unable to process NPAR N... New 06/26/2018

Associated revisions

Revision 5a76fcd4 - 09/09/2019 12:17 PM - Maksim Malchuk

Fixes #23654 - update even virtual interface facts

When getting the scope we shouldn't rely on attributes and check all

the interfaces even virtual. This commit also add some debug logging.

Signed-off-by: Maksim Malchuk <maksim.malchuk@gmail.com>

History

#1 - 05/20/2018 02:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5597 added

#2 - 05/20/2018 02:02 PM - Maksim Malchuk

- Related to Bug #23653: parsing facts break interfaces names added

#3 - 05/20/2018 05:02 PM - Maksim Malchuk

- Related to Bug #23655: vlan interface facts don't imported in case of ansible plugin added

#4 - 05/20/2018 05:02 PM - Maksim Malchuk

- Pull request https://github.com/theforeman/foreman/pull/5598 added

#5 - 06/26/2018 02:10 PM - Lukas Zapletal
- Related to Bug #24073: Foreman fact parser unable to process NPAR NICs with underscore added

#6 - 06/28/2018 09:15 PM - Chris Roberts

- Priority changed from High to Normal

- Triaged set to Yes

#7 - 09/09/2019 12:18 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#8 - 09/09/2019 01:01 PM - Maksim Malchuk

- Status changed from Ready For Testing to Closed

Applied in changeset 5a76fcd400bf37efb6b3fb80cdd50655ffbf25e3.
